%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  visualpred
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Visualization 2D of Binary Classification Models

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-MASS >= 7.3.51.4
BuildRequires:    R-CRAN-nnet >= 7.3.12
BuildRequires:    R-CRAN-ggplot2 >= 3.3.0
BuildRequires:    R-CRAN-FactoMineR >= 2.3
BuildRequires:    R-CRAN-gbm 
BuildRequires:    R-CRAN-randomForest 
BuildRequires:    R-CRAN-e1071 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-mltools 
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-CRAN-MBA 
BuildRequires:    R-CRAN-pROC 
BuildRequires:    R-CRAN-ggrepel 
Requires:         R-CRAN-MASS >= 7.3.51.4
Requires:         R-CRAN-nnet >= 7.3.12
Requires:         R-CRAN-ggplot2 >= 3.3.0
Requires:         R-CRAN-FactoMineR >= 2.3
Requires:         R-CRAN-gbm 
Requires:         R-CRAN-randomForest 
Requires:         R-CRAN-e1071 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-mltools 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-data.table 
Requires:         R-CRAN-MBA 
Requires:         R-CRAN-pROC 
Requires:         R-CRAN-ggrepel 

%description
Visual contour and 2D point and contour plots for binary classification
modeling under algorithms such as 'glm', 'rf', 'gbm', 'nnet' and 'svm',
presented over two dimensions generated by 'famd' and 'mca' methods.
Package 'FactoMineR' for multivariate reduction functions and package
'MBA' for interpolation functions are used. The package can be used to
visualize the discriminant power of input variables and algorithmic
modeling, explore outliers, compare algorithm behaviour, etc. It has been
created initially for teaching purposes, but it has also many practical
uses under the 'XAI' paradigm.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
